# Generated by Django 3.2.10 on 2022-04-17 10:29

import ckeditor.fields
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='TimeStampedModel',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('date_updated', models.DateTimeField(auto_now=True)),
            ],
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('timestampedmodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamo_blogger.timestampedmodel')),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(blank=True, max_length=255, null=True)),
            ],
            options={
                'verbose_name_plural': 'Blog Categories',
                'db_table': 'blog_categories',
            },
            bases=('dynamo_blogger.timestampedmodel',),
        ),
        migrations.CreateModel(
            name='PostAuthor',
            fields=[
                ('timestampedmodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamo_blogger.timestampedmodel')),
                ('profile_picture', models.ImageField(blank=True, null=True, upload_to='author_images/')),
                ('biography', ckeditor.fields.RichTextField(blank=True, null=True)),
                ('facebook', models.URLField(blank=True, null=True)),
                ('twitter', models.URLField(blank=True, null=True)),
                ('linkedin', models.URLField(blank=True, null=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'Blog Authors',
                'db_table': 'blog_authors',
            },
            bases=('dynamo_blogger.timestampedmodel',),
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('timestampedmodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamo_blogger.timestampedmodel')),
                ('title', models.CharField(max_length=255)),
                ('slug', models.SlugField(blank=True, editable=False, max_length=255, null=True)),
                ('image', models.ImageField(blank=True, null=True, upload_to='post_images/')),
                ('description', ckeditor.fields.RichTextField()),
                ('featured', models.BooleanField(default=False)),
                ('status', models.CharField(choices=[('draft', 'draft'), ('published', 'published'), ('in-review', 'in-review'), ('rejected', 'rejected')], default='draft', max_length=10)),
                ('author', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='dynamo_blogger.postauthor')),
                ('tag', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.DO_NOTHING, to='dynamo_blogger.category')),
            ],
            options={
                'verbose_name_plural': 'Blog Posts',
                'db_table': 'blog_posts',
            },
            bases=('dynamo_blogger.timestampedmodel',),
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('timestampedmodel_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='dynamo_blogger.timestampedmodel')),
                ('name', models.CharField(max_length=255)),
                ('email', models.EmailField(max_length=255)),
                ('website', models.URLField(max_length=255)),
                ('message', models.TextField(max_length=600)),
                ('blog_post', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='dynamo_blogger.post')),
                ('reply_to', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='dynamo_blogger.comment')),
            ],
            options={
                'verbose_name_plural': 'Blog Comments',
                'db_table': 'blog_comments',
            },
            bases=('dynamo_blogger.timestampedmodel',),
        ),
    ]
